explain_tcdrain_or_die(3)

NAME
explain_tcdrain_or_die - Execute tcdrain(3) and report errors

SYNOPSIS
#include <libexplain/tcdrain.h>

void explain_tcdrain_or_die(int fildes);
int explain_tcdrain_on_error(int fildes);

DESCRIPTION
The explain_tcdrain_or_die function is used to call the tcdrain(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcdrain(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcdrain_on_error function is used to call the tcdrain(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcdrain(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcdrain(3) system call.

RETURN VALUE
The explain_tcdrain_or_die function only returns on success, see tcdrain(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcdrain_on_error function always returns the value return by the wrapped tcdrain(3) system call.

EXAMPLE
The explain_tcdrain_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcdrain_or_die(fildes);

SEE ALSO

tcdrain(3)
    Execute tcdrain(3)

explain_tcdrain(3)
    explain tcdrain(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2009 Peter Miller,,,